{
===============================================================================
  Copyright (©) 2005. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 23-03-2005
  Versión actual: 1.0.0
  Fecha versión actual: 23-03-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit CambiarSituacionFacturas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxDropDownEdit, StdCtrls, RdxBotones, RdxBarras, ExtCtrls,
  RdxPaneles, TablaTrimestres;

type
  TfrCambiarSituacionFacturas = class(TForm)
    BarraSuperior: TRdxBarraSuperior;
    Label2: TLabel;
    RdxPanel1: TRdxPanel;
    brDoble: TRdxBarraInferior;
    bAceptar: TRdxBoton;
    bCancelar: TRdxBoton;
    eTrimestre: TLabel;
    cbxSituacion: TcxComboBox;
    imgSombra: TImage;
    procedure bAceptarClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FCodigosFacturas : TStringList;
    FSituacion : String;
    procedure SetSituacion(Value : String);
  public
    property CodigosFacturas : TStringList read FCodigosFacturas write FCodigosFacturas;
    property Situacion : String read FSituacion write SetSituacion;
  end;

var
  frCambiarSituacionFacturas: TfrCambiarSituacionFacturas;

implementation

uses
  Mensajes, Literales, BaseDatos, Configuracion, Entidades, RdxEmpresaActiva,
  TablaFacturasCliente, StrFunc;

{$R *.dfm}

procedure TfrCambiarSituacionFacturas.bAceptarClick(Sender: TObject);
var
 Indice :Integer;
begin
  if not dmTablaFacturasCliente.ModificarSituacionFacturas(CodigosFacturas, cbxSituacion.Text) then
  begin
    dmBaseDatos.Rollback;
    exit;
  end;
  dmBaseDatos.Commit;
  Close;
end;

procedure TfrCambiarSituacionFacturas.FormCreate(Sender: TObject);
begin
  inherited;
  FCodigosFacturas := TStringList.Create;
  cbxSituacion.Properties.Items := dmTablaFacturasCliente.DarSituaciones;
  cbxSituacion.ItemIndex := 0;
end;

procedure TfrCambiarSituacionFacturas.FormDestroy(Sender: TObject);
begin
  FreeAndNil(FCodigosFacturas);
end;

procedure TfrCambiarSituacionFacturas.SetSituacion(Value: String);
begin
  if not esCadenaVacia(Value) then
  begin
    FSituacion := Value;
    cbxSituacion.ItemIndex := cbxSituacion.Properties.Items.indexof(FSituacion);
  end;
end;

end.
